<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 12</a>

    <script>

        class BiNode {
            constructor(val) {
                this.data = val;
                this.left = null;
                this.right = null;
            }
        }
 
        let root, head;
        let prev = null;
  
        const arbolBusquedaBinario = (root) => {

            if (root == null) {
                return;
            }
  
            arbolBusquedaBinario(root.left);

            if (prev == null) {
                head = root;
            } else {
                root.left = prev;
                prev.right = root;
            }
            prev = root;
  
            arbolBusquedaBinario(root.right);
        }

        const imprimirLista = (node) => {
            while (node != null) {
                console.log(node.data);
                node = node.right;
            }
        }
      
        root = new BiNode(10);
        root.left = new BiNode(12);
        root.right = new BiNode(15);
        root.left.left = new BiNode(25);
        root.left.right = new BiNode(30);
        root.right.left = new BiNode(36);

        arbolBusquedaBinario(root);
         
        imprimirLista(head);

    </script>
    
</body>
</html>